//@STATE=作成中
//@DESCRIPTION ---------------------------------------------------------------
// BGEditor.h: 背景エディタ 
// << 注意 >>
//   インスタンス作成後は必ず、BGEditorのパラメータを初期化してください。
//	履歴：
//@DESCRIPTION_END -----------------------------------------------------------
//@AUTHOR=S.F.

#if !defined(AFX_BGEDITOR_H__828FA451_903E_41D4_B2FD_235E7A281A08__INCLUDED_)
#define AFX_BGEDITOR_H__828FA451_903E_41D4_B2FD_235E7A281A08__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
namespace sf {
	namespace application {
		namespace scene {

#include "sfinterface.h"
class SF_INTERFACE BGEditor  
{
public:
	BGEditor(){};
	virtual ~BGEditor(){};
	virtual void game(Game * const pGame) = 0;
	virtual Game * const game() const = 0;
	virtual const float mouseX(void) const = 0;
	virtual const float mouseY(void) const = 0;
	virtual void selectedData(const DWORD value) = 0;
	virtual const DWORD selectedData(void) const = 0;
};
		}
	}
}

#endif // !defined(AFX_BGEDITOR_H__828FA451_903E_41D4_B2FD_235E7A281A08__INCLUDED_)
